Page MenuHomePhabricator

obsshelve: register the default of shelve.maxbackups
AbandonedPublic

Authored by phillco on Oct 12 2017, 9:31 PM.

Details

Reviewers
quark
ryanmce
Group Reviewers
Restricted Project
Summary

8f2d495f4c7b removed the default under the assumption the defaults from
shelve.py were being used, but they weren't because obsshelve.py does not
import shelve.py.

Let's define the default separately here as the next-best option.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

phillco created this revision.Oct 12 2017, 9:31 PM
Herald added a reviewer: Restricted Project. ยท View Herald TranscriptOct 12 2017, 9:31 PM
quark accepted this revision.Oct 13 2017, 2:41 AM
This revision is now accepted and ready to land.Oct 13 2017, 2:41 AM
ryanmce requested changes to this revision.Oct 15 2017, 4:16 PM
ryanmce added a subscriber: ryanmce.

I think the tests still fail with this change (I tried the same change myself). Please ensure you've run the tests. D1054 in the fix I came up with after trying this.

This revision now requires changes to proceed.Oct 15 2017, 4:16 PM
phillco abandoned this revision.Oct 15 2017, 4:22 PM

Yes, they do -- I noticed shortly after sending. Meant to abandon after you sent D1054.